<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
  <modelVersion>4.0.0</modelVersion>
  <groupId>de.xleitstelle.xplanung</groupId>
  <artifactId>regeln-brandenburg</artifactId>
  <version>0.4-SNAPSHOT</version>


  <licenses>
    <license>
      <name>European Union Public Licence</name>
      <url>https://joinup.ec.europa.eu/collection/eupl/introduction-eupl-licence</url>
      <distribution>repo</distribution>
    </license>
  </licenses>

  <issueManagement>
    <system>OpenCoDE Issues</system>
    <url>https://gitlab.opencode.de/xleitstelle/xplanung/validierungsregeln/profile/brandenburg/-/issues</url>
  </issueManagement>

  <scm>
    <developerConnection>scm:git:git@gitlab.opencode.de:xleitstelle/xplanung/validierungsregeln/profile/brandenburg.git
    </developerConnection>
    <tag>v0.1</tag>
  </scm>

  <properties>
    <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
  </properties>

  <build>
    <resources>
      <resource>
        <directory>src/main/resources</directory>
        <excludes>
          <exclude>brandenburg/version.properties</exclude>
        </excludes>
        <filtering>false</filtering>
      </resource>
      <resource>
        <directory>src/main/resources</directory>
        <includes>
          <include>brandenburg/version.properties</include>
        </includes>
        <filtering>true</filtering>
      </resource>
    </resources>
    <plugins>
      <plugin>
        <artifactId>maven-antrun-plugin</artifactId>
        <version>3.1.0</version>
        <executions>
          <execution>
            <phase>generate-sources</phase>
            <configuration>
              <target>
                <fileset id="allRules" dir="src/main/resources/brandenburg" />
                <pathconvert targetos="unix" pathsep="${line.separator}" property="rulesList" refid="allRules">
                  <map from="${basedir}/src/main/resources/" to="/" />
                </pathconvert>
                <echo file="${basedir}/target/classes/xqueryregeln-brandenburg.txt">${rulesList}</echo>
              </target>
            </configuration>
            <goals>
              <goal>run</goal>
            </goals>
          </execution>
        </executions>
      </plugin>
    </plugins>
    <pluginManagement>
      <plugins>
        <plugin>
          <groupId>org.apache.maven.plugins</groupId>
          <artifactId>maven-release-plugin</artifactId>
          <version>3.0.1</version>
        </plugin>
      </plugins>
    </pluginManagement>
  </build>

  <distributionManagement>
    <repository>
      <id>gitlab-maven</id>
      <url>${CI_API_V4_URL}/projects/${CI_PROJECT_ID}/packages/maven</url>
    </repository>
    <snapshotRepository>
      <id>gitlab-maven</id>
      <url>${CI_API_V4_URL}/projects/${CI_PROJECT_ID}/packages/maven</url>
    </snapshotRepository>
  </distributionManagement>
</project>
